#region Copyright Syncfusion Inc. 2001-2016.
// Copyright Syncfusion Inc. 2001-2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Xml.Serialization;
using Localization.Model;
using Syncfusion.Windows.Shared;

namespace Localization.ViewModel
{
  class ViewModel : Syncfusion.Windows.Shared.NotificationObject
  {
    public ViewModel()
    {
      CommandLoad = new DelegateCommand(OnLoad, o => true);
    }

    private object _productSalesData;

    /// <summary>
    /// Gets or sets the product sales data.
    /// </summary>
    /// <value>The product sales data.</value>
    public object ProductSalesData
    {
      get
      {
        //LinkaOlapRec[] linkaOlapRecs = Nacitaj();
        //return linkaOlapRecs;

        //_productSalesData = _productSalesData ?? ProductSales.GetSalesData();
        return _productSalesData;
      }
      set
      {
        _productSalesData = value;
        RaisePropertyChanged("ProductSalesData");
      }
    }

    private LinkaOlapRec[] Nacitaj()
    {
      Stream file =
          Assembly.GetExecutingAssembly().GetManifestResourceStream("Localization.Resources.linky.xml");

      XmlSerializer ser = new XmlSerializer(typeof(LinkaOlapRec[]));

      LinkaOlapRec[] vysledok = null;
      using (StreamReader sr = new StreamReader(file))
      {
        vysledok = (LinkaOlapRec[]) ser.Deserialize(sr);

        sr.Close();
      }

      return vysledok;
    }

    public DelegateCommand CommandLoad { get; private set; }

    private void OnLoad(object obj)
    {
      ProductSalesData = Nacitaj();
    }

  }
}
